> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get status of Video KYC

> Use this API to check the status of a Video KYC request by passing `reference_id` or the `verification_id`. The API returns the current status of the Video KYC request along with user details.



## OpenAPI

````yaml get /vkyc
openapi: 3.0.0
info:
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: developers@cashfree.com
    name: API Support
    url: https://discord.com/invite/QdZkNSxXsB
  title: Cashfree Verification API's.
  version: '2023-12-18'
  description: >-
    Cashfree's Verification APIs provide different types of verification to our
    merchants.
servers:
  - description: Sandbox Server
    url: https://sandbox.cashfree.com/verification
  - description: Production Server
    url: https://api.cashfree.com/verification
security: []
tags:
  - name: Aadhaar
    description: Operations related to Aadhaar verification.
  - name: BAV V2
    description: Operations related to Bank account verification v2.
  - name: PAN
    description: Operations related to PAN verification.
  - name: Digilocker
    description: Operations related to Digilocker verification.
  - name: E-sign
    description: Operations related to E-sign verification.
  - name: Reverse Penny Drop
    description: Operations related to Reverse Penny Drop verification.
  - name: UPI Penny Drop
    description: Operations related to UPI Penny Drop verification.
  - name: Mobile Penny Drop
    description: Operations related to Mobile Penny Drop verification.
  - name: IP
    description: Operation related to IP verification.
  - name: UPI
    description: Operations related to UPI verification.
  - name: Passport
    description: Operation related to Passport verification.
  - name: CIN
    description: Operation related to CIN verification.
  - name: Name Match
    description: Operation related to Name Match verification.
  - name: PAN to GSTIN
    description: Operation related to PAN to GSTIN.
  - name: Face Match
    description: Operation related to Face Match verification.
  - name: Voter ID
    description: Operation related to Voter ID verification.
  - name: Reverse Geocoding
    description: Operation related to Reverse Geocoding.
  - name: Vehicle RC
    description: Operation related to Vehicle RC verification.
  - name: Driving License
    description: Operation related to Driving License verification.
  - name: GSTIN
    description: Operation related to GSTIN verification.
  - name: Account Aggregator
    description: Operations related to Account aggregator.
  - name: OTPLess
    description: Operations related to OTPLess Verification.
  - name: 1-Click
    description: Operations related to 1-Click.
  - name: Smart OCR
    description: Operations related to Smart OCR.
  - name: Geocoding
    description: Operations related to Geocoding.
  - name: Udyam
    description: Operation related to Udyam verification.
  - name: PAN to Udyam
    description: Operation related to PAN to Udyam.
paths:
  /vkyc:
    get:
      tags:
        - VKYC
      summary: Get status of Video KYC
      description: >-
        Use this API to check the status of a Video KYC request by passing
        `reference_id` or the `verification_id`. The API returns the current
        status of the Video KYC request along with user details.
      operationId: vkyc-get-status
      parameters:
        - $ref: '#/components/parameters/x_cf_signature'
        - $ref: '#/components/parameters/global_x_api_version'
        - $ref: '#/components/parameters/vkyc_verification_id'
        - $ref: '#/components/parameters/vkyc_request_id'
      responses:
        '200':
          $ref: '#/components/responses/GetVKYCLinkResponse'
        '400':
          $ref: '#/components/responses/Response400GetStatusVkycLink'
        '401':
          $ref: '#/components/responses/Response401'
        '403':
          $ref: '#/components/responses/Response403'
        '404':
          $ref: '#/components/responses/ResponseVKYCRequest404'
        '500':
          $ref: '#/components/responses/Response500V2'
      security:
        - XClientID: []
          XClientSecret: []
components:
  parameters:
    x_cf_signature:
      description: >-
        Send the signature if two-factor authentication is selected as Public
        Key.  [More
        details](https://www.cashfree.com/docs/api-reference/vrs/getting-started#2fa-api-signature-generation).
      name: x-cf-signature
      in: header
      required: false
      schema:
        type: string
      example: ''
    global_x_api_version:
      description: API version to be used. Format is in YYYY-MM-DD.
      name: x-api-version
      in: header
      required: true
      schema:
        type: string
        default: '2024-12-01'
        example: '2024-12-01'
      example: '2024-12-01'
    vkyc_verification_id:
      description: >-
        It is the unique ID generated by the merchant to identify the
        verification request in the Initiate Video KYC Request API.
      name: verification_id
      in: query
      required: false
      schema:
        type: string
      example: test_verification_id
    vkyc_request_id:
      description: >-
        It is the unique ID created by Cashfree Payments that you receive in the
        response of Initiate Video KYC Request API.
      name: reference_id
      in: query
      required: false
      schema:
        type: string
      example: '321696'
  responses:
    GetVKYCLinkResponse:
      description: Success response of Get VKYC Link API.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/GetVKYCLinkResponseSchema'
          examples:
            Success:
              value:
                verification_id: vkyc_verification_id
                reference_id: 1358
                user_reference_id: 11174
                user_id: vkyc_user_id1
                status: RECEIVED
                sub_status: LINK_GENERATED
                vkyc_link: https://forms.cashfree.com/verification/p8r6jehan8bg
                link_expiry: '2025-08-03T00:00:00.000Z'
                recording_link: https://storage.cashfree.com/vkyc/recordings/test333.mp4
                meeting_schedule: null
                auditor_remarks: null
                agent_remarks: Pan not available during call
    Response400GetStatusVkycLink:
      description: Validation errors for Get status Video KYC Link API.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Verification ID Missing:
              $ref: '#/components/examples/VerificationIdMissing'
            Verification ID With Special Chars:
              $ref: '#/components/examples/VerificationIdWithSpecialCharacter'
            Invalid Verification Id:
              value:
                type: validation_error
                code: verification_id_value_invalid
                message: verification ID entered is invalid.
            Verification Id Missing:
              value:
                type: validation_error
                code: verification_id_value_missing
                message: verification_id is missing in the request.
            Invalid VKYC Request Id:
              value:
                type: validation_error
                code: reference_id_value_invalid
                message: reference ID value is invalid.
            VKYC Request Id Missing:
              value:
                type: validation_error
                code: reference_id_value_missing
                message: reference_id is missing in the request.
            Client ID/Client Secret in Missing:
              $ref: '#/components/examples/XClientIdMissing'
            Using-Test-Credentials-in-Prod:
              $ref: '#/components/examples/UsingTestCredentialsInProd'
    Response401:
      description: Invalid client ID and client secret combination.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Invalid client ID and client secret combination:
              value:
                type: authentication_error
                code: authentication_failed
                message: Invalid clientId and clientSecret combination
    Response403:
      description: Authentication error (IP not whitelisted).
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            IP not whitelisted:
              value:
                type: authentication_error
                code: ip_validation_failed
                message: >-
                  IP not whitelisted your current ip is 106.51.91.104.For IP
                  whitelisting assistance, visit our guide at
                  https://www.cashfree.com/docs/secure-id/get-started/integration/ip-whitelisting-verification
            x-cf-signature header missing:
              value:
                type: validation_error
                code: authentication_failed
                message: x-cf-signature missing in the request header
    ResponseVKYCRequest404:
      description: vkyc request not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            VKYC Reference Id not found:
              value:
                type: validation_error
                code: reference_id_not_found
                message: reference_id does not exist.
            VKYC Verification Id not found:
              value:
                type: validation_error
                code: verification_id_not_found
                message: verification_id does not exist.
    Response500V2:
      description: Internal error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Internal Server Error:
              value:
                type: internal_error
                code: verification_failed
                message: something went wrong
  schemas:
    GetVKYCLinkResponseSchema:
      type: object
      properties:
        verification_id:
          type: string
          description: >-
            It displays the unique ID you created to identify the verification
            request.
          example: test053
        reference_id:
          type: integer
          description: >-
            It displays the unique ID created by Cashfree Payments for reference
            purposes. format: `int64`
          example: 10042
        status:
          type: string
          description: >-
            It displays the status of the API request. Refer to [this
            link](https://www.cashfree.com/docs/api-reference/vrs/v2/video-kyc/vkyc-descriptions#status-substatus-mapping)
            for all possible values and their meanings.
          example: PRE_VIDEO_CALL
        sub_status:
          type: string
          description: >-
            It displays the sub status of the API request. Refer to [this
            link](https://www.cashfree.com/docs/api-reference/vrs/v2/video-kyc/vkyc-descriptions#status-substatus-mapping)
            for all possible values and their meanings.
          example: AADHAAR_VERIFICATION_SUCCESS
        vkyc_link:
          type: string
          description: It displays the URL of the vKYC form.
          example: https://forms.cashfree.com/verification/M8go0i1k9fvg
        link_expiry:
          type: string
          format: date
          description: The date on which the vKYC link will expire.
          example: '2025-05-30T00:00:00.000Z'
        user_reference_id:
          type: string
          description: The reference ID of the user for whom the VKYC link is generated.
          example: 123456
        user_id:
          type: string
          description: The user ID of the user for whom the VKYC link is generated.
          example: User0123
        recording_link:
          type: string
          nullable: true
          description: >-
            A link to the VKYC session recording. Returns `null` until the video
            call is completed.
          example: https://storage.cashfree.com/vkyc/recordings/test333.mp4
        meeting_schedule:
          type: string
          nullable: true
          description: >-
            Scheduled UTC timestamp for the VKYC meeting. Returns `null` if no
            meeting is scheduled.
          example: '2025-07-19T14:30:00Z'
        auditor_remarks:
          type: string
          nullable: true
          description: Remarks provided by the auditor during the Video KYC process.
          example: Verification completed successfully
        agent_remarks:
          type: string
          nullable: true
          description: Remarks provided by the agent during the Video KYC process.
          example: Customer was cooperative
    ErrorResponseSchema:
      type: object
      properties:
        code:
          type: string
          example: x-client-id_missing
        error:
          type: object
          example:
            ref_id: 102
        message:
          type: string
          example: x-client-id is missing in the request.
          description: It displays the outcome of the error.
        type:
          type: string
          example: validation_error
          description: It displays the type of error.
  examples:
    VerificationIdMissing:
      value:
        type: validation_error
        code: verification_id_missing
        message: verification_id is missing in the request.
    VerificationIdWithSpecialCharacter:
      value:
        type: validation_error
        code: verification_id_value_invalid
        message: >-
          verification_id can include only alphanum, dot, hyphen and
          underscores.
    XClientIdMissing:
      value:
        type: validation_error
        code: x-client-id_missing
        message: x-client-id is missing in the request.
    UsingTestCredentialsInProd:
      value:
        type: validation_error
        code: x-client-secret_value_invalid
        message: Client secret belongs to test environment
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Your unique client identifier issued by Cashfree. You can find this in
        your [Merchant
        Dashboard](https://merchant.cashfree.com/verificationsuite/developers/api-keys).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        The secret key associated with your client ID. Use this to authenticate
        your API requests. You can find this in your [Merchant
        Dashboard](https://merchant.cashfree.com/verificationsuite/developers/api-keys).

````